jmarkus
Mechanical
- Jul 11, 2001
- 377
Hi,
This is related to the askfacedata/askfaceprops code I am working on but it is a separate question - so I figured I post it on its own.
I am trying to create a spline ultimately using CreateSplineThruPts but first I need to populate the PtSlopeCrvatr with data. I have declared my variable as:
But I still get "Object reference is not set to instance of object" as soon as I try to assign as follows:
How do I initialize the variable properly to be able to put data into it?
Thanks,
Jeff
This is related to the askfacedata/askfaceprops code I am working on but it is a separate question - so I figured I post it on its own.
I am trying to create a spline ultimately using CreateSplineThruPts but first I need to populate the PtSlopeCrvatr with data. I have declared my variable as:
Code:
dim PTDATA() as NXOpen.UF.UFCurve.PtSlopeCrvatr = New NXOpen.UF.UFCurve.PtSlopeCrvatr() {}
But I still get "Object reference is not set to instance of object" as soon as I try to assign as follows:
Code:
for p as integer = 0 to totalpoints
PTDATA(p).point(0)=ptx
...etc...
How do I initialize the variable properly to be able to put data into it?
Thanks,
Jeff